@Echo off
cls

reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4" /s
if errorlevel 1 goto not_exist
goto exist

:not_exist
START /WAIT dotNetFx40_Full_setup.exe

:exist

set alias=Reg query "HKLM\SOFTWARE\Microsoft\Internet Explorer\Version Vector"
FOR /F "TOKENS=3 DELIMS=.	 " %%A IN ('%alias%^|FIND /I "IE"') DO Set v_=%%A
If %v_% Lss 8 goto ie_menor8
goto ie_8

:ie_menor8
START /WAIT IE8-WindowsXP-x86-PTG.exe 

:ie_8
xcopy /c /d /h /r /y "setx.exe" "%SYSTEMDRIVE%\Windows\System32"

START /WAIT MVC++.exe /q

xcopy /s /c /d /e /h /i /r /k /y "VAIO" "%SYSTEMDRIVE%\VAIO"
xcopy /s /c /d /e /h /i /r /k /y "Windows Sidebar" "%SYSTEMDRIVE%\Programas\Windows Sidebar"

SET PATH=%PATH%;C:\VAIO
CLS

ECHO Launching key input dialog
@rundll32 .\vslc.dll,__ShowPKDialog

ECHO Registering shell extension
@regsvr32 /s .\vshellext.dll

%systemdrive%\VAIO\Tools\REGTLIB.exe "%systemdrive%\Programas\Windows Sidebar\sidebar.exe"

START /WAIT setup.exe

setx VAIO "C:\VAIO"

start "" "c:\Programas\Windows Sidebar\sidebar.exe"

@regsvr32 /s .\sbdrop.dll

@regsvr32 /s .\wlsrvc.dll.dll

ping -n 30 127.0.0.1 

START /WAIT CooprofarGadget.gadget /q

EXIT